import { Store } from '@datorama/akita';
import * as O from 'fp-ts/Option';
import { UserProfile } from '../../../store/benefits-app.store';
export declare type RoleManagementState = {
  editorProfiles: UserProfile[];
  selectedEditor: O.Option<UserProfile>;
  editorLoading: boolean;
  showRemoveEditorDialog: boolean;
};
export declare class RoleManagementStore extends Store<RoleManagementState> {
  constructor();
  setEditorLoading(v: boolean): void;
  selectEditor(editor: UserProfile): void;
  showRemoveEditorDialog(v: boolean): void;
}
declare const _default: RoleManagementStore;
export default _default;
